## org.hibernate.tool.instrument
Class BasicInstrumentationTask.LoggerBridge

    java.lang.Object
      org.hibernate.tool.instrument.BasicInstrumentationTask.LoggerBridge

All Implemented Interfaces:
  Logger

Enclosing class:
  BasicInstrumentationTask

    protected class BasicInstrumentationTask.LoggerBridge

extends Object
implements Logger

Constructor Summary
`protected` `BasicInstrumentationTask.LoggerBridge()`

Method Summary
`void` `debug(String message)`
`void` `error(String message)`
`void` `info(String message)`
`void` `trace(String message)`
`void` `warn(String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInstrumentationTask.LoggerBridge

    protected BasicInstrumentationTask.LoggerBridge()

Method Detail

### trace

    public void trace(String message)

  Specified by:
    `trace` in interface `Logger`

### debug

    public void debug(String message)

  Specified by:
    `debug` in interface `Logger`

### info

    public void info(String message)

  Specified by:
    `info` in interface `Logger`

### warn

    public void warn(String message)

  Specified by:
    `warn` in interface `Logger`

### error

    public void error(String message)

  Specified by:
    `error` in interface `Logger`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.